Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

# Class CreditorReferenceType2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_08.CreditorReferenceType2

public class CreditorReferenceType2 extends Object

Java class for CreditorReferenceType2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreditorReferenceType2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdOrPrtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CreditorReferenceType1Choice"/>
             <element name="Issr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CreditorReferenceType1Choice`
`cdOrPrtry`
`protected String`
`issr`

## Constructor Summary

Constructors
Constructor
Description
`CreditorReferenceType2()`

## Method Summary

Modifier and Type
Method
Description
`CreditorReferenceType1Choice`
`getCdOrPrtry()`
Gets the value of the cdOrPrtry property.
`String`
`getIssr()`
Gets the value of the issr property.
`void`
`setCdOrPrtry(CreditorReferenceType1Choice value)`
Sets the value of the cdOrPrtry property.
`void`
`setIssr(String value)`
Sets the value of the issr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cdOrPrtry

protected CreditorReferenceType1Choice cdOrPrtry

### issr

protected String issr

## Constructor Details

### CreditorReferenceType2

public CreditorReferenceType2()

## Method Details

### getCdOrPrtry

public CreditorReferenceType1Choice getCdOrPrtry()
Gets the value of the cdOrPrtry property.

Returns:
  possible object is `CreditorReferenceType1Choice`

### setCdOrPrtry

public void setCdOrPrtry(CreditorReferenceType1Choice value)
Sets the value of the cdOrPrtry property.

Parameters:
  `value` - allowed object is `CreditorReferenceType1Choice`

### getIssr

public String getIssr()
Gets the value of the issr property.

Returns:
  possible object is `String`

### setIssr

public void setIssr(String value)
Sets the value of the issr property.

Parameters:
  `value` - allowed object is `String`